neo4j_statement_plan Struct Reference

The plan (or profile) for an evaluated statement. More...

`#include <neo4j-client.h>`

## Data Fields

const char * | version
| The version of the compiler that produced the plan/profile. More...
const char * | planner
| The planner that was used to produce the plan/profile. More...
const char * | runtime
| The runtime that was or would be used for evaluating the statement. More...
bool | is_profile
| `true` if profile data is included in the execution steps. More...
struct neo4j_statement_execution_step * | output_step
| The output execution step. More...

## Detailed Description

The plan (or profile) for an evaluated statement.

Plans and profiles differ only in that execution steps do not contain row and db-hit data.

## Field Documentation

## is_profile

bool neo4j_statement_plan::is_profile

`true` if profile data is included in the execution steps.

## output_step

struct neo4j_statement_execution_step* neo4j_statement_plan::output_step

The output execution step.

## planner

const char* neo4j_statement_plan::planner

The planner that was used to produce the plan/profile.

## runtime

const char* neo4j_statement_plan::runtime

The runtime that was or would be used for evaluating the statement.

## version

const char* neo4j_statement_plan::version

The version of the compiler that produced the plan/profile.